﻿@model Schedule.Application.ViewModel.Auth.RedefinicaoSenhaViewModel
﻿
@{ Layout = null; }

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="~/resource/img/cropped-favicon.png" />

    <title>Redefinir Senha - Schedule</title>


    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="~/css/sb-admin-2.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="@Url.ContentVersioned("~/css/site.css")" />
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

</head>

<body class="bg-gradient-elo">

    <div class="container">


        <div class="row justify-content-center">

            <div class="col-xl-6 col-lg-7 col-md-9">

                <div class="card o-hidden border-0 shadow-lg my-5">
                    <div class="card-body p-0">

                        <div class="row">
                            <div class="col-lg-12">
                                <div class="p-5">
                                    <div class="text-center">
                                        <img id="logo-image" src="~/imagems/logotipo.png" class="img-logo-login">
                                    </div>
                                    <div class="text-center">
                                        <h1 class="h4 text-gray-900 mb-4">Redefinição de Senha</h1>
                                        <h1 class="h6 text-red mb-4">Schedule</h1>
                                    </div>
                                    <div class="form-group">
                                        <input id="NovaSenha" type="password" class="form-control" placeholder="Nova Senha" />
                                        <span id="NovaSenha" class="text-danger"></span>
                                    </div>
                                    <div class="form-group">
                                        <input id="ConfirmarNovaSenha" type="password" class="form-control" placeholder="Confirmar Nova Senha" />
                                        <span id="ConfirmarNovaSenha" class="text-danger"></span>
                                    </div>
                                    <button type="submit" id="btnAlterarSenha" class="btn btn-success btn-user btn-block" >
                                        Salvar
                                    </button>
                                    <br />
                                    <h1 id="H1Mensagem" class="h6 text-center text-danger mb-4"></h1>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>

    </div>


</body>

</html>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

}

<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/Account.js")"></script>



@*<script>


    function RedirecionaLogin() {
        setTimeout(function () {
            window.location.href = "/Account/Login";
        }, 12000);
    }

    function salvar_senha() {

        $("#H1Mensagem").removeClass("text-success");
        $("#H1Mensagem").addClass("text-danger");
        $("#H1Mensagem").text("");


        if ($('#NovaSenha').val().trim() == "" || $('#ConfirmarNovaSenha').val().trim() == "") {
           
            $("#H1Mensagem").text('Os Campos Senha e Confirmação de Senha São Obrigatórios!');
            return;

        }

        if ($('#NovaSenha').val() != $('#ConfirmarNovaSenha').val()) {
            alert('teste');
            $("#H1Mensagem").text('Os Campos Senha e Confirmação de Senha devem ser iguais!');
            return;
          
        }
        else {
            var urlParams = new URLSearchParams(window.location.search);
            var data = {};
            data.NovaSenha = $('#NovaSenha').val();
            data.Token = urlParams.get('token')
            $.ajax({
                type: "PUT",
                url: "/Account/EditarSenha",
                data: JSON.stringify(data),
                dataType: "json",
                contentType: "application/json;charset=utf-8",
                success: function (response) {
                    $("#H1Mensagem").removeClass("text-danger");
                    $("#H1Mensagem").addClass("text-success");
                    $("#H1Mensagem").text(response.responseText);

                    RedirecionaLogin();
                },
                error: function (response) {
                    $("#H1Mensagem").text(response.responseText);
                }
            });
            e.preventDefault();
        }

    };
</script>*@
